SuccessConsole Output

[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building ballerina-integrator-vscode-plugin 1.0.0
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ ballerina-integrator-vscode-plugin ---
[INFO] 
[INFO] --- exec-maven-plugin:1.6.0:exec (npm install) @ ballerina-integrator-vscode-plugin ---

> [email protected] postinstall /home/jenkins/workspace/products/ballerina-integrator/vscode/extension/node_modules/core-js
> node scripts/postinstall || echo "ignore"

Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!

The project needs your help! Please consider supporting of core-js on Open Collective or Patreon: 
> https://opencollective.com/core-js 
> https://www.patreon.com/zloirock 

Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)


> [email protected] postinstall /home/jenkins/workspace/products/ballerina-integrator/vscode/extension/node_modules/spawn-sync
> node postinstall


> [email protected] postinstall /home/jenkins/workspace/products/ballerina-integrator/vscode/extension/node_modules/yo
> yodoctor


Yeoman Doctor
Running sanity checks on your system

✔ No .bowerrc file in home directory
✔ Global configuration file is valid
✔ NODE_PATH matches the npm root
✔ No .yo-rc.json file in home directory
✔ Node.js version
✔ npm version
✔ yo version

Everything looks all right!

> [email protected] postinstall /home/jenkins/workspace/products/ballerina-integrator/vscode/extension
> node ./node_modules/vscode/bin/install

Detected VS Code engine version: ^1.35.0
Found minimal version that qualifies engine range: 1.35.0
Fetching vscode.d.ts from: https://raw.githubusercontent.com/Microsoft/vscode/553cfb2c2205db5f15f3ee8395bbd5cf066d357d/src/vs/vscode.d.ts
vscode.d.ts successfully installed!

added 684 packages from 668 contributors and audited 4615 packages in 12.377s
found 0 vulnerabilities

[INFO] 
[INFO] --- exec-maven-plugin:1.6.0:exec (npm-install-generator-code) @ ballerina-integrator-vscode-plugin ---
npm WARN deprecated [email protected]: cross-spawn no longer requires a build toolchain, use it instead

> [email protected] postinstall /home/jenkins/workspace/products/ballerina-integrator/vscode/extension/node_modules/yo
> yodoctor


Yeoman Doctor
Running sanity checks on your system

✔ No .bowerrc file in home directory
✔ Global configuration file is valid
✔ NODE_PATH matches the npm root
✔ No .yo-rc.json file in home directory
✔ Node.js version
✔ npm version
✔ yo version

Everything looks all right!
+ [email protected]
+ [email protected]
updated 3 packages and audited 4615 packages in 15.013s
found 0 vulnerabilities

[INFO] 
[INFO] --- exec-maven-plugin:1.6.0:exec (npm-install-vsce) @ ballerina-integrator-vscode-plugin ---
+ [email protected]
updated 1 package and audited 4615 packages in 3.672s
found 0 vulnerabilities

[INFO] 
[INFO] --- exec-maven-plugin:1.6.0:exec (npm-vsix-package) @ ballerina-integrator-vscode-plugin ---

> [email protected] package /home/jenkins/workspace/products/ballerina-integrator/vscode/extension
> vsce package

Executing prepublish script 'npm run vscode:prepublish'...

> [email protected] vscode:prepublish /home/jenkins/workspace/products/ballerina-integrator/vscode/extension
> npm run compile


> [email protected] compile /home/jenkins/workspace/products/ballerina-integrator/vscode/extension
> tsc -p ./

This extension consists of 12585 separate files. For performance reasons, you should bundle your extension: https://aka.ms/vscode-bundle-extension . You should also exclude unnecessary files by adding them to your .vscodeignore: https://aka.ms/vscode-vscodeignore
 DONE  Packaged: /home/jenkins/workspace/products/ballerina-integrator/vscode/extension/ballerina-integrator-0.11.0.vsix (12585 files, 12.64MB)
[INFO] 
[INFO] --- maven-install-plugin:2.3.1:install (default-install) @ ballerina-integrator-vscode-plugin ---
[INFO] Installing /home/jenkins/workspace/products/ballerina-integrator/vscode/extension/pom.xml to /home/jenkins/workspace/products/ballerina-integrator/.repository/org/wso2/ballerina-integrator/ballerina-integrator-vscode-plugin/1.0.0/ballerina-integrator-vscode-plugin-1.0.0.pom